Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.configuration.plist
Class PropertyListParser

    java.lang.Object
      org.apache.commons.configuration.plist.PropertyListParser

All Implemented Interfaces:
  PropertyListParserConstants

     class PropertyListParser

extends Object
implements PropertyListParserConstants

JavaCC based parser for the PropertyList format.

Version:
  $Revision: 348244 $, $Date: 2005-11-22 21:40:57 +0100 (Di, 22 Nov 2005) $
Author:
  Emmanuel Bourg

Field Summary
`(package private) SimpleCharStream` | `jj_input_stream`
`Token` | `jj_nt`
`Token` | `token`
`PropertyListParserTokenManager` | `token_source`

Fields inherited from interface org.apache.commons.configuration.plist.PropertyListParserConstants
`ARRAY_BEGIN, ARRAY_END, ARRAY_SEPARATOR, DATA, DATA_END, DATA_START, DEFAULT, DICT_BEGIN, DICT_END, DICT_SEPARATOR, EOF, EQUAL, ESCAPED_QUOTE, HEXA, LETTER, QUOTE, QUOTED_STRING, STRING, tokenImage, WHITE`

Constructor Summary
`PropertyListParser(InputStream stream)`
`PropertyListParser(Reader stream)`

Method Summary
`List` | `Array()`
`byte[]` | `Data()`
`PropertyListConfiguration` | `Dictionary()`
`Object` | `Element()`
`protected byte[]` | `filterData(String s)` Remove the white spaces and the data delimiters from the specified string and parse it as a byte array.
`ParseException` | `generateParseException()`
`PropertyListConfiguration` | `parse()`
`HierarchicalConfiguration.Node` | `Property()`
`protected String` | `removeQuotes(String s)` Remove the quotes at the beginning and at the end of the specified String.
`String` | `String()`
`protected String` | `unescapeQuotes(String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### token_source

    public PropertyListParserTokenManager token_source

### jj_input_stream

    SimpleCharStream jj_input_stream

### token

    public Token token

### jj_nt

    public Token jj_nt

Constructor Detail

### PropertyListParser

    public PropertyListParser(InputStream stream)

### PropertyListParser

    public PropertyListParser(Reader stream)

Method Detail

### removeQuotes

    protected String removeQuotes(String s)

  Remove the quotes at the beginning and at the end of the specified String.

### unescapeQuotes

    protected String unescapeQuotes(String s)

### filterData

    protected byte[] filterData(String s)
                         throws ParseException

  Remove the white spaces and the data delimiters from the specified string and parse it as a byte array.

  Throws:
    `ParseException`

### parse

    public final PropertyListConfiguration parse()
                                          throws ParseException

  Throws:
    `ParseException`

### Dictionary

    public final PropertyListConfiguration Dictionary()
                                               throws ParseException

  Throws:
    `ParseException`

### Property

    public final HierarchicalConfiguration.Node Property()
                                                  throws ParseException

  Throws:
    `ParseException`

### Element

    public final Object Element()
                         throws ParseException

  Throws:
    `ParseException`

### Array

    public final List Array()
                     throws ParseException

  Throws:
    `ParseException`

### String

    public final String String()
                        throws ParseException

  Throws:
    `ParseException`

### Data

    public final byte[] Data()
                      throws ParseException

  Throws:
    `ParseException`

### generateParseException

    public ParseException generateParseException()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 The Apache Software Foundation. All Rights Reserved.